Mozilla Firefox 1.5 Beta 1 erschienen

Software Die Entwickler des beliebten Browsers Mozilla Firefox haben heute morgen die erste Beta-Version der Ausgabe 1.5 ihres Projekts zum Download bereit gestellt. Nach Angaben eines Programmierers wurden in der zehnmonatigen Entwicklungsphase über 5000 ... mehr...

Diese Nachricht vollständig anzeigen.

Jetzt einen Kommentar schreiben
 
Gleich mal testen ^^
 
@morti12: jop :D, bei mir läuft atm alles ohne probleme :)
 
@morti12: anscheinend funktioniern ein paar plugins noch nicht so recht hoffe das wird noch ausgebessert
 
@morti12: Diverse Extensions dürften unter der Mozilla Firefox v1.5 Beta 1 nicht lauffähig sein da sie noch nicht dafür aktualisiert wurden und ist somit "normal". Dies dürfte bei den meisten Extensions in den nächsten Tagen nachgeholt werden.
 
@swissboy: Nicht nur "diverse", sondern *alle* Erweiterungen werden deaktiviert, weil die interne maxVersion des Browsers auf 1.4 erhöht wurde, während die maxVersion der Erweiterungen noch auf 1.0 steht. Das ist so gewollt. Es gibt ein automatisches Updatefeature, das jetzt auch einwandfrei funktioniert, dafür müssen die Autoren der Erweiterungen aber selbst erst ihre eigene maxVersion erhöhen. => Lieber ein paar Tage warten, es sei denn, man kann solange auf die Erweiterungen verzichten.
 
@morti12: also bei mir funktioniert flashgot und adblock noch, obwohl isch keine objekte mehr bei adblock hinzufügen kann
 
@morti12:
Bin leider nicht begeistert:
- Im Safe-Mode kommt jedes mal nervende Abfrage (auch bei jedem neuen Tab & Fenster)
- Manche Seiten, die bisher gingen, werden falsch angezeigt z. B.: http://www.weygandt.de/tools/
 
@morti12: wegen den plugins. sauge dir .xpi datei einfach, entpacke sie (ist eine ZIP datei), öffne die .rdf datei, und ändere die versionsnummer bei x.x .. danach wieder packen als zip, umbenennen in .xpi und installieren. et voila!
 
Das ist jetzt wirklich die Beta. Ich sags aber gleich in aller Deutlichkeit: _Finger_weg_, wer auf bestimmte Erweiterungen angewiesen ist! Die maxVersion wurde auf 1.4 erhöht und deswegen wird _keine_einzige_ derzeitige Erweiterung mehr laufen, auch nicht, wenn man wieder auf die 1.0.6 zurückgeht! Wartet ein paar Tage, bis die Autoren der Erweiterungen nachkommen, oder verwendet zum Testen ein getrenntes Profil. Falls es doch jemandem passiert ist, gibt es auch dafür einen Trick, aber lasst es lieber. Es ist übrigens nicht richtig, dass es lokalisierte Betas geben wird. Es gibt nur lokalisierte Nightly Builds auf dem Stand der Beta, mehr nicht.
 
@installer: Woher hast du diese Info das es keine offizielle lokalisierte Beta geben wird?
 
@swissboy: Das muss ich zurücknehmen, ich hatte ein Posting von Herrn Topal aus dem offiziellen Forum im Hinterkopf, das hatte ich aber missverstanden, als ich gerade nochmal nachgeschaut habe.
 
@installer: mich stöhr das nicht das die extensions nicht mehr gehen (hab noch ein backup von meinem Profil *gg*)
 
@installer: sauge dir .xpi datei einfach, entpacke sie (ist eine ZIP datei), öffne die .rdf datei, und ändere die versionsnummer bei x.x .. danach wieder packen als zip, umbenennen in .xpi und installieren. et voila!
 
Moin, selbsverständlich gibts die auch in deutsch, ich hab sie schon drauf...:http://www.pcwelt.de/news/software/119430/index3.html
 
@frank33: Och nö, immer die gleiche und falsche Berichterstattung diverser PC-Zeitschriften bei Firefox-Releases. Schau den Link doch mal an: Da steht die Zeichenkette "nightly" drin. Was wird das wohl bedeuten? Mehr, als immer wieder klar zu stellen, dass Releases auf dem FTP nur im "releases"-Verzeichnis und alles aus dem "nightly"-Verzeichnis nur Nightly Builds sind, können die Mozilla-Leute auch nicht machen.
 
@frank33: Da steht aber deutlich "Deutsche Vorab-Beta", das ist noch nicht die offizielle deutsche Beta-Version sondern ein Nightly-Build. Ich rate davon ab diese Version zu benutzen, lieber noch einen Tag auf die offizielle deutsche Beta-Version warten.  @installer: Die Berichterstattung in PC-Welt war korrekt, es steht ja schon im Titel deutlich das es nur eine Vorab-Beta ist die da angeboten wird.
 
@frank33: und die hier ? :
http://download.mozilla.org/?product=Firefox-1.5b1&os=win&lang=de-DE
 
Die weitere Terminplanung sieht übrigens konkret wie folgt aus: Am 05. Oktober soll die Firefox v1.5 Beta 2 und am 28. Oktober der Firefox v1.5 Release Candidate 1 (RC1) erscheinen. Falls es nicht auch noch einen Release Candidate 2 geben wird, ist mit Firefox v1.5 Final also frühestens irgendwann im November zu rechnen.
 
Weiß jemand, ob FireTune mit der Beta funzt, und ob man noch Performance rausholen kann?
 
@ChackZ: Probiern geht über Studiern...
 
Also:
1. @ChackZ: Firetune funzt
2. Die Beta läuft um einiges besser als vorherige Nightlies
3. Wenn man die XPIs der Extensions mit WinRar oder so öffnet und in der install.rdf die MaxVersion ändert, dann funktionieren die Extensions. Sogar AdBlock lässt sich nicht nur installen sondern blockt in dieser Beta auch wirklich wieder, was in vorherigen Nightlies leider meist nicht funktionierte mit diesem Trick.

Jedem der es mal testen will kann ichs nur empfehlen, aber bitte ein neues Profil anlegen (Firefox.exe -p) damit es da zu keinen Konflikten kommt und auch bei nichtgefallen einfach zur alten Konfiguration zurückgekehrt werden kann.
 
@Gri: adblock läuft aber auch von haus aus mit dieser "1.4"... und die caching funktionen sind wirklich ein Genuss!
 
was ist eigentlich mit der sprachausgabe, die für version 1.5 angekündigt war. oder erscheind da noch eine version mit sprchausganbe?
 
@Tiesi: Da du Legastheniker zu sein scheinst kann ich gut verstehen das du nach einem solchen Feature fragst.  :-)
 
@swissboy
du nimmst ja deinen mund ganz schön voll. schalt doch mal erst dein hirn ein, bevor du solche komentare los lässt. wieso glaubst du denn, das man eine sprachausgabe braucht??

es gibt halt manche leute die blind sind und zu hause keine zeile haben. aber leider gibt es immer solche schlaumaier wie dich, die nur blöde äusserungen machen, und einen intelligenzquotienten wie knäckebrot haben. *kopfschüttel*
 
Kurz ne Frage am Rande, kann man mit der integrierten Update-Funktion die Beta nachher zur Final updaten lassen? Weiß das jemand, steht das irgendwo in den FAQ?
 
mist: die wichtigste extension (meiner meinung nach) läuft bei mir damit nicht:
sessionsaver. Mit dem original Session Saver 0.2 gehts, also nicht das rewrite verwenden.
 
5000 Bugs entfernt :) .. bedeutet also, dass viele bis alle mit dem achsotollen verbuggten FF unterwegs sind aber ständig behaupten, dass der FF das mass der dinge ist - lächerlich!
 
@asko: nichts ist bug frei. Wichtig ist, dass schwerwiegende bugs und sicherheitsrelevante Dinge schnell gefixt werden.
 
@asko: Lächerlich bist nur Du, so leid es mir tut. Mit solchen Beiträgen kann man prima zur Schau stellen, dass man wenig Ahnung hat, wie höchstkomplexe Software, nichts anderes ist Firefox, entwickelt wird. Hast Du überhaupt ein Bild davon, was Bugzilla ist, wie man es benutzt und was da so drinsteht? Von 95% der Sachen, die da drin stehen, merkt kein Mensch jemals etwas. Nur um Dir mal einen Eindruck zu vermitteln: In dieser genannten Zahl sind auch solche Bugs enthalten, die ungültig oder Duplikate sind. Die meisten Bugs werden ca. dreimal gemeldet, einzelne sogar bis zu hundertmal. Beispiel: https://bugzilla.mozilla.org/show_bug.cgi?id=228968 - In Bugzilla landet jedes noch so kleine Problem, auch solche, die niemals in einem Release enthalten waren. Wenn also zum Beispiel jemand irgendwann zwischen 1.0.3 und 1.0.4 einen Bug eingeführt und zehn Minuten später gefixt hat, dann ist das einer von diesen 5000. Du kannst mir gerne glauben, dass jede komplexe Software so entwickelt wird, mit dem Unterschied, dass die Benutzer es bei anderen Entwicklungsmodellen nie erfahren. Versuch Dir doch bitte erstmal ein Bild zu machen, bevor Du Dich äußerst.
 
@zivilist: Das mit dem schnellen Bug fixen können sie jetzt gleich mal wieder unter Beweis stellen, es wurde eben erst gestern eine neue kritische Sicherheitslücke in Firefox entdeckt (auch in den Versionen 1.0.6 und 1.5 Beta 1): http://www.winfuture-forum.de/index.php?showtopic=51714
 
@asko: Damit sind sicher die Bugs aus den früheren Versionen vom 1.5er gemeint!! und nicht die vom 1.0.x!
 
@installer: sorry, aber du erzählst müll mit deiner "multi-bug-report" geschichte in bugzilla. Die mögen da vielleicht stehen, aber die sind ganz sicher nicht einzeln gelistet um auf >5000 zu kommen. Zu deiner Wahrsagerfähigkeit sei angemerkt, daß ich Webentwickler bin und komplexe Datenbanksysteme für Intranet entwickele. Somit sind mir durchaus die tücken und fehler bekannt, auf die ich bei der entwicklung zu achten habe. Wenn ich mich zu etwas äussere, dann mache ich das immer nur dann, wenn ich weiß wovon ich spreche - nicht so du, wie es mir scheint und wie dein kläglicher beitrag da oben beweist.... Das "lächerlich" bezog sich in erster linie darauf, daß scheinbar über so eine riesen menge bugs hinweggelesen wird. Wäre auch nur ein bruchteil davon erwähnt in zusammenhang mit IE, würden sich alle wieder das maul zerreissen. ... Weitere kommentare kannst du hier rein schreiben oder es auch lassen, weil ich in den beitrag hier ohnehin nicht mehr reinschaue. Have Fun
 
@asko: Wenn Du wüsstest, woher ich meine Kenntnis über die Interna des Entwicklungsmodells von Mozilla beziehe, dann würdest Du vielleicht nicht ganz so selbstbewusst mit dem Versuch auftreten, mich belehren zu wollen. Sag doch einfach, dass Dir das Produkt nicht gefällt und Du nur ein wenig tro^H^H^Hflamen möchtest, damit hat niemand ein Problem. Du weißt _nicht_, wovon Du sprichst und was in Bugzilla steht, kannst Du selbst nachlesen, weil es öffentlich ist. Da steht zum Beispiel auch drin, wenn jemand meint, dass zwei Pixmaps einen Millimeter zu nah beieinander liegen. Dass ich "Müll" erzähle, brauche ich mir von einem Außenstehenden nicht bieten zu lassen. Und jetzt kannst Du gerne mit Deinem "lächerlich" und "kläglich" weitermachen, ich werde mich mit Schaumschlägern und Einfach-so-Mitredern nicht weiter unterhalten und einfach weiter arbeiten. Guten Tag.
 
Schade das die 1.5er derzeit noch kein Flash spricht *g Ist bei mir jedenfalls so...der Dowload von macromedia hilft leider auch nicht. Naja, abwarten :o)
 
@KraZZy: Deinstalliere die Adblock-Erweiterung und installiere anschließend die neueste Version.
 
Diese Version gibts ja schon seit mehreren Tagen, aber die wurde von Tag zu Tag schlecher und hatte mehr bugs. Adblock Plugin kann keine Ads mehr neu aufnehmen Flashanimationen werden nimmer geladen, Ton aber da usw.
 
@Blue7: Siehe [11]-[re:1].
 
@Blue7: Nein, diese Version gibt es nicht seit mehreren Tagen sondern erst seit gestern Nacht. Die Versionen die du meinst waren Nightly-Builds, also inoffizielle Vorabversionen dieser Beta 1.
 
@Blue7:
Adblock fehlt mir auch. Ich möchte natürlich, dass adblock und flash gleichzeitig laufen kann :)
 
@lazka: hat das mit adblock geklappt?
Ich bekomme es ja installiert jedoch ist dieser nette Schritzug über ein banner nicht mehr da um zu sagen: BLOCKEN
Adblock wird doch weiterentwickelt?!? Das nutzen so viele Leute. Oder gibts eine Alternative dazu (äquivalente Extension)?
 
@lazka: fixed version: http://mcmblog.sitesled.com/Miscellaneous/adblock-0.5.2.050.xpi .
Dies ist nachzulesen im adblock Forum: http://adblock.mozdev.org/forum.html/no_wrap
 
Ich benutze nic IE das reicht mir ! NAja Firefox ist zwar gut aber ich find Ie gut !!
Kommentar abgeben Netiquette beachten!

WinFuture Mobil

WinFuture.mbo QR-Code Auch Unterwegs bestens informiert!
Nachrichten und Kommentare auf
dem Smartphone lesen.

Folgt uns auf Twitter

WinFuture bei Twitter

Interessante Artikel & Testberichte